CIFSIOSTAT(1)

NOM
cifsiostat – Statistiques concernant CIFS

SYNOPSIS
cifsiostat [ -h ] [ -k | -m ] [ -t ] [ -V ] [ --dec={ 0 | 1 | 2 } ] [ --human ] [ --pretty ] [ interval [ count ] ]

DESCRIPTION
La commande cifsiostat affiche des statistiques à propos des opérations d’écriture et de lecture dans un système de fichiers CIFS.

Le paramètre interval indique le délai en secondes entre chaque rapport. Le premier rapport fournit des statistiques pour la durée depuis l’amorçage (boot). Chaque rapport suivant fournit des statistiques collectées dans l’intervalle depuis le rapport précédent. Un rapport se compose d’une ligne d’entête CIFS suivie d’une ligne de statistiques pour chaque système de fichiers CIFS monté. Le paramètre count peut être indiqué en plus du paramètre interval. Si le paramètre count est indiqué, sa valeur détermine le nombre de rapports générés séparément à interval secondes. Si le paramètre interval est indiqué sans le paramètre count, la commande cifsiostat génère des rapports de manière continue.

RAPPORT
Le rapport CIFS fournit des statistiques pour chaque système de fichiers CIFS monté. Les champs suivants y sont indiqués.

Filesystem:
    Affichage du point de montage du système de fichiers CIFS.

rB/s (rkB/s, rMB/s)
    Affichage de la quantité moyenne d’octets (kilooctets, mégaoctets) lus par seconde.

wB/s (wkB/s, wMB/s)
    Affichage de la quantité moyenne d’octets (kilooctets, mégaoctets) écrits par seconde.

rop/s
    Affichage du nombre d’opérations de lecture effectuées par seconde sur le système de fichiers.

wop/s
    Affichage du nombre d’opérations d’écriture effectuées par seconde sur le système de fichiers.

fo/s
    Affichage du nombre de fichiers ouverts par seconde.

fc/s
    Affichage du nombre de fichiers fermés par seconde.

fd/s
    Affichage du nombre de fichiers supprimés par seconde.

OPTIONS

--dec={ 0 | 1 | 2 }
    Indication du nombre de décimales à utiliser (0 à 2, par défaut 2).

-h  Option équivalente à --human --pretty.

--human
    Affichage des tailles dans un format humainement lisible (par exemple, 1.0k, 1.2M, etc.) Les unités affichées avec cette option remplacent toute autre unité par défaut (par exemple, kilooctets, secteurs…) associée à la métrique.

-k  Affichage des statistiques en kilooctets par seconde.

-m  Affichage des statistiques en mégaoctets par seconde.

--pretty
    Production d’un rapport CIFS plus humainement compréhensible.

-t  Affichage de l’horodatage de chaque rapport affiché. Le format utilisé peut dépendre de la valeur de la variable d’environnement S_TIME_FORMAT (voir ci-après).

-V  Afficher la version puis quitter.

ENVIRONNEMENT
La commande cifsiostat tient compte des variables d’environnement suivantes :

S_COLORS
    Par défaut, les statistiques sont affichées en couleurs quand la sortie est connectée à un terminal. Cette variable permet de changer cela. Ses valeurs possibles sont never, always ou auto (valeur par défaut).
    Remarquez que la couleur (rouge, jaune ou autre) utilisée pour afficher une valeur n’est aucunement l’indication d’un problème quelconque associé à la couleur. Ces couleurs indiquent seulement différentes plages de valeurs.

S_COLORS_SGR
    Indication des couleurs et autres attributs utilisés pour afficher les statistiques sur le terminal. Sa valeur est une liste de capacités séparées par des deux-points et sa valeur par défaut est I=32;22:N=34;1:Z=34;22. Les capacités prises en charge sont :

    I=  sous-chaine SGR (Select Graphic Rendition) pour les noms de système de fichiers

    N=  sous-chaine SGR pour les valeurs non nulles de statistiques

    Z=  sous-chaine SGR pour les valeurs nulles.

S_TIME_FORMAT
    Si cette variable est définie et que sa valeur est ISO, alors les paramètres régionaux actuels sont ignorés lors de l’affichage de la date dans l’entête du rapport. La commande cifsiostat utilise alors le format ISO 8601 (AAAA-MM-JJ). L’horodatage affiché avec l’option -t est aussi conforme à la norme ISO 8601.

BOGUE
Le système de fichiers /proc doit être monté pour pouvoir utiliser cifsiostat.

Bien que cifsiostat affiche des kilooctets (Ko), mégaoctets (Mo)..., il utilise réellement des kibioctets (Kio), mébioctets (Mio)... Un kibioctet est égal à 1024 octets et un mébioctet est égal à 1024 kibioctets.

FICHIER
/proc/fs/cifs/Stats fournit des statistiques pour CIFS.

AUTEURS
Écrit par Ivana Varekova (varekova <at> redhat.com)
Entretenu par Sébastien Godard (sysstat <at> orange.fr)

VOIR AUSSI
sar(1), pidstat(1), mpstat(1), vmstat(8), iostat(1), tapestat(1), nfsiostat(1)

https://github.com/sysstat/sysstat
https://sysstat.github.io/

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.